Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# AnonymousClass SIPml.Stack.Configuration

SIPml.Stack.Configuration
Defined in: SIPml.js.

AnonymousClass Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml.Stack.Configuration Anonymous SIP Stack configuration object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| bandwidth Defines the maximum audio and video bandwidth to use.
| display_name The display name to use in SIP requests.
| enable_click2call Whether to enable the Click2Call / Click2Dial service.
| enable_early_ims Whether to enable 3GGP Early IMS as per TR 33.978.
| enable_media_stream_cache Whether to reuse the same media stream for all calls.
| enable_rtcweb_breaker Whether to enable the RTCWeb Breaker module to allow calling SIP-legacy networks.
| events_listener Object to subscribe to some events.
| ice_servers The list of the STUN/TURN servers to use.
| impi The authentication name.
| impu The full SIP uri address.
| outbound_proxy_url The outbound Proxy URL is used to set the destination IP address and Port to use for all outgoing requests regardless the domain name (a.k.a realm).
| password The password to use for SIP authentication.
| realm The domain name.
| sip_headers Stack-level SIP headers to add to all outgoing requests.
| video_size Defines the maximum and minimum video size to be used.
| websocket_proxy_url The websocket proxy url to connect to (SIP server or gateway address).

AnonymousClass Detail
SIPml.Stack.Configuration
Anonymous SIP Stack configuration object.

    var configuration = {
            realm: 'example.org',
            impi: 'bob',
            impu: 'sip:bob@example.org',
            password: 'mysecret', // optional
            display_name: 'I Am Legend', // optional
            websocket_proxy_url: 'ws://192.168.0.10:5060', // optional
            outbound_proxy_url: 'udp://192.168.0.12:5060', // optional
            ice_servers: [{ url: 'stun:stun.l.google.com:19302'}, { url:'turn:user@numb.viagenie.ca', credential:'myPassword'}], // optional
            enable_rtcweb_breaker: true, // optional
            enable_click2call: false, // optional
            enable_early_ims: true, // optional
            events_listener: { events: '*', listener: listenerFunc }, // optional
            sip_headers: [ //optional
                {name: 'User-Agent', value: 'IM-client/OMA1.0 sipML5-v1.0.89.0'},
                {name: 'Organization', value: 'Doubango Telecom'}
            ]
        };

Field Detail
{Object} bandwidth
Defines the maximum audio and video bandwidth to use. This will change the outhoing SDP to include a "b:AS=" attribute. Use 0 to let the browser negotiates the right value using RTCP-REMB and congestion control. Same property could be used at session level to override this value.
Available since version 1.3.203.
Example: { audio:64, video:512 }

{String} display_name
The display name to use in SIP requests. This is the String displayed by the called party for incoming calls.
Example: I Am Legend

{Boolean} enable_click2call
Whether to enable the Click2Call / Click2Dial service. Available since version 1.2.181.
Example: true

{Boolean} enable_early_ims
Whether to enable 3GGP Early IMS as per TR 33.978. Should be 'true' unless you're using a real IMS network.
Available since version 1.3.203.
Example: true

{Boolean} enable_media_stream_cache
Whether to reuse the same media stream for all calls. If your website is not using https then, the browser will request access to the camera (or microphone) every time you try to make a call. Caching the media stream will avoid getting these notifications for each call.
Available since version 1.3.203.
Example: true

{Boolean} enable_rtcweb_breaker
Whether to enable the RTCWeb Breaker module to allow calling SIP-legacy networks.
Example: true

{Object} events_listener
Object to subscribe to some events. Example:

- { events: '*', listener: function(e){} }
- { events: 'started', listener: function(e){} }
- { events: ['started', 'stopped'], listener: function(e){} }

You can also use addEventListener to add listeners to the stack.

{Array} ice_servers
The list of the STUN/TURN servers to use. The format must be as explained at http://www.w3.org/TR/webrtc/#rtciceserver-type.
To disable TURN/STUN to speedup ICE candidates gathering you can use an empty array. e.g. [].
Example: [{ url: 'stun:stun.l.google.com:19302'}, { url:'turn:user@numb.viagenie.ca', credential:'myPassword'}]

{String} impi
The authentication name. Required for stack constructor but optional when used with setConfiguration.
Example: +33600000000 or bob.

{string} impu
The full SIP uri address. Required for stack constructor but optional when used with setConfiguration.
Example: sip:+33600000000@example.com or tel:+33600000000 or sip:bob@example.com

{String} outbound_proxy_url
The outbound Proxy URL is used to set the destination IP address and Port to use for all outgoing requests regardless the domain name (a.k.a realm).
This is a good option for developers using a SIP domain name without valid DNS A/NAPTR/SRV records. You should not set this value unless you know what you're doing.
Example: udp://192.168.0.12:5060

{String} password
The password to use for SIP authentication.
Example: mysecret

{String} realm
The domain name. Required for stack constructor but optional when used with setConfiguration.
Example: example.org

{Array} sip_headers
Stack-level SIP headers to add to all outgoing requests. Each header is an object with a name and value fields.
Example: sip_headers: [{name: 'User-Agent', value: 'IM-client/OMA1.0 sipML5-v1.0.89.0'}, {name: 'Organization', value: 'Doubango Telecom'}]

{Object} video_size
Defines the maximum and minimum video size to be used. All values are optional. The browser will try to find the best video size between max and min based on the camera capabilities. Same property could be used at session level to override this value.
Available since version 1.3.203.
Example: { minWidth:640, minHeight:480, maxWidth:1920, maxHeight:1080 }

{String} websocket_proxy_url
The websocket proxy url to connect to (SIP server or gateway address). If unset the stack will use sipml5.org as host and a random port. You should not set this value unless you know what you're doing.
Example: ws://sipml5.org:5060

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)